export enum MateType {
  FLORA_MATE = "Flora Mate",
  CLUB_MATE = "Club Mate"
}

export enum DrinkType {
  TSCHUNK = "Tschunk",
  TSCHUNK_HANNOVER_MISCHE = "Tschunk Hannover-Mische",
  TSCHUNK_ALKOHOLFREIER_RUM = "Tschunk alkoholfreier Rum",
  VIRGIN_TSCHUNK = "Virgin Tschunk"
}

export interface Drink {
  drink_type: DrinkType
  mate_type: MateType
  quantity: number
  notes?: string
}

export interface Order {
  id: string
  order_date: string
  drinks: Drink[]
}

export interface CreateOrderRequest {
  drinks: Drink[]
} 